Login
Login-Name Passwort


 
Newsletter
Werbung

Sicherheit: Mehrere Probleme in Perl
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in Perl
ID: USN-2916-1
Distribution: Ubuntu
Plattformen: Ubuntu 12.04 LTS, Ubuntu 14.04 LTS, Ubuntu 15.10
Datum: Mi, 2. März 2016, 16:31
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-7422
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-2381
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-4330

Originalnachricht

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--===============6416919345087204754==
Content-Type: multipart/signed; micalg=pgp-sha512;
protocol="application/pgp-signature";
boundary="2TM4IxSDWegF8NedoH37X0s1baci6BFab"

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--2TM4IxSDWegF8NedoH37X0s1baci6BFab
Content-Type: text/plain; charset=utf-
Content-Transfer-Encoding: quoted-printable

==========================================================================
Ubuntu Security Notice USN-2916-1
March 02, 2016

perl vulnerabilities
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 15.10
- Ubuntu 14.04 LTS
- Ubuntu 12.04 LTS

Summary:

Several security issues were fixed in Perl.

Software Description:
- perl: Practical Extraction and Report Language

Details:

It was discovered that Perl incorrectly handled certain regular expressions
with an invalid backreference. An attacker could use this issue to cause
Perl to crash, resulting in a denial of service, or possibly execute
arbitrary code. (CVE-2013-7422)

Markus Vervier discovered that Perl incorrectly handled nesting in the
Data::Dumper module. An attacker could use this issue to cause Perl to
consume memory and crash, resulting in a denial of service. (CVE-2014-4330)

Stephane Chazelas discovered that Perl incorrectly handled duplicate
environment variables. An attacker could possibly use this issue to bypass
the taint protection mechanism. (CVE-2016-2381)

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 15.10:
perl 5.20.2-6ubuntu0.2

Ubuntu 14.04 LTS:
perl 5.18.2-2ubuntu1.1

Ubuntu 12.04 LTS:
perl 5.14.2-6ubuntu2.5

In general, a standard system update will make all the necessary changes.

References:
http://www.ubuntu.com/usn/usn-2916-1
CVE-2013-7422, CVE-2014-4330, CVE-2016-2381

Package Information:
https://launchpad.net/ubuntu/+source/perl/5.20.2-6ubuntu0.2
https://launchpad.net/ubuntu/+source/perl/5.18.2-2ubuntu1.1
https://launchpad.net/ubuntu/+source/perl/5.14.2-6ubuntu2.5



--2TM4IxSDWegF8NedoH37X0s1baci6BFab
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQIcBAEBCgAGBQJW1vRoAAoJEGVp2FWnRL6Tqo4P/AyFIjipD1KkuVH+HNcRlKet
4Q8sda+FS+WcXcH1RXMO9AUYntLLapNPlPo3wQ9Nrd7+AcPwEJ4ieNCy1k+QfZI1
3CEITtFmVrewwFeLQEA26jlnC62bUNfMM8wPcbJWRmUxyO/L6AdoOGO7G7B7kgaK
yoC8cJdtppaJM56w67WrcZXsp73BXIa66GrrsMNxFP5FQwQAClWtMEt+dT3+2nmy
sj3RdqF0VTqEbLm4gv3rGEVZtvOG7g7h3B6NvG0HVapsHO76wunPLtcAvLlRko61
NtRFoqhi4YzswrrwZx1ME4wI/aQKjs9gupn/6B7oCuiSK9bV6gM1mIaT8RBuSgBk
llzvsSDD8wGUMBX+yc+uxNnDObMc6Efep/wV7nXgC0UL7RULB5MI4rnIRcZNUuOL
lWKjp/XR8VqB6hnAXpOZGY4VyM+RXHW+6CeZyg5Xlsf59BWldhpqsjoaV1KnVz1k
kiOdeLPJI+QDg+lrofoMG9V3uUg1Krcuvk9bEJ6EOtTIkMW+o7gIa3436xBHPO7T
Z+OeSmX+paiPmVSqWFUvSpbrNsQqKXQiyckkJ66j6pC6MMBzayDX0+cArwDNfsw9
qa1VjYkrGstDnpFaj1bTkGsVVYL4JoLyqi4g6ed+fkV/Z0tL//9uXUOOjtP9qkoR
gAGW6HVbSWQfxex8+ddI
=p/iX
-----END PGP SIGNATURE-----

--2TM4IxSDWegF8NedoH37X0s1baci6BFab--


--===============6416919345087204754==
Content-Type: text/plain; charset="us-ascii"
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

--
ubuntu-security-announce mailing list
ubuntu-security-announce@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-security-announce

--===============6416919345087204754==--
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung